/**
 * This file defines configuration variables for the notifications 2 csv "integration"
 */

// The server and REST url to pull from
var xMOD = "https://acme.na1.xmatters.com/reapi/2012-03-01/notifications";

// The user and password file location. Note, this is a real user,
// NOT a Web Services user. 
var USER = "restuser";
var PWD_FILE = "conf/notifications2csv.pwd";


// The path to place the generated csv files
var OUTPUT_PATH = "./";

// Separation character to delineate each value.  
var SEP_CHAR = ",";

// The list of headers and where to find the corresponding
// value in the notification object. The value portion is 
// passed to javascript's eval function, so any valid
// js is allowed. 
var COLUMNS = {
  "Identifier":        "notification.identifier",
  "First Name":        "notification.user.firstName",
  "Last Name":         "notification.user.lastName",
  "Target Name":       "notification.user.targetName",
  "Incident":          "notification.incident",
  "Device Name":       "notification.deviceName",
  "Event":             "notification.event",
  "Domain":            "notification.domain",
  "Created":           "notification.created",
  "Delivered":         "notification.delivered",
  "Responded":         "notification.responded",
  "Response":          "notification.response",
  "Sender":            "notification.sender",
  "Device Type":       "notification.deviceType",
  "Protocol":          "notification.protocol",
  "Protocol Provider": "notification.protocolProvider",
  "Subscription":      "notification.subscription",
  "Subscription Name": "notification.subscriptionName"
};
